Get a maker's de-anonymized orders
curl --request GET \
--url https://api.sx.bet/orders-v3/public/user \
--header 'x-sx-api-key: <api-key>'import requests
url = "https://api.sx.bet/orders-v3/public/user"
headers = {"x-sx-api-key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'x-sx-api-key': '<api-key>'}};
fetch('https://api.sx.bet/orders-v3/public/user', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"status": "success",
"data": {
"orders": [
{
"id": "0x5c1bb3b5a7d2d8a2d7dcd2ba00b2aa96b0f0b6e6b0a2f7d2cbe1a2f1f0c1d2e3",
"marketHash": "0x1fec4ed9b71c2f812db900af7d12446158a0eda56041106f99551c496efd3266",
"userAddress": "0x685D1D76A2771FEd07297c83e723eAc320a30d7a",
"isBettingOutcomeOne": true,
"percentageOdds": "60000000000000000000",
"totalBetSize": "5000000",
"remainingSize": "4000000",
"expiry": "2026-09-19T19:50:20.000Z",
"status": "ACTIVE",
"eventId": "L12003787",
"createdAt": "2026-09-18T19:50:23.840Z",
"updatedAt": "2026-09-18T19:50:23.850Z"
}
],
"nextKey": "eyJjcmVhdGVkQXQiOiIyMDI2LTA5LTE4VDE5OjUwOjIzLjg0MFoifQ=="
}
}Orders
Get a user's de-anonymized orders
Read one user’s de-anonymized resting orders, across markets.
GET
/
orders-v3
/
public
/
user
Get a maker's de-anonymized orders
GET /orders-v3/public/user lists one maker’s resting orders.
Only orders that maker placed while de-anonymized are returned.Authorizations
API key, sent as the x-sx-api-key header.
Query Parameters
The maker to read, as a checksummed address. Required.
Rows per page.
Required range:
1 <= x <= 100Cursor from the previous response to continue pagination.
Last modified on September 22, 2026